include(CMakeFindDependencyMacro)

########################################################################################################################
# Include dependencies                                                                                                 #
########################################################################################################################

set(QSCHEMATIC_DEPENDENCY_GPDS_DOWNLOAD OFF)
set(QSCHEMATIC_DEPENDENCY_GPDS_MINIMUM_VERSION 1.8.1)

# Qt
find_dependency(
    Qt6
    COMPONENTS
        Core
        Gui
        Widgets
)
if (NOT Qt6_FOUND)
    find_dependency(
        Qt5 5.15
        REQUIRED
        COMPONENTS
            Core
            Gui
            Widgets
    )
endif()

# GPDS
if (NOT QSCHEMATIC_DEPENDENCY_GPDS_DOWNLOAD)
    find_dependency(
        gpds
        ${QSCHEMATIC_DEPENDENCY_GPDS_MINIMUM_VERSION}
        REQUIRED
    )
endif()

# Add the targets file
include("${CMAKE_CURRENT_LIST_DIR}/qschematic-targets.cmake")
